<?php


namespace App\Repositories;


use App\UserBenchmarkLine;

class UserBenchmarkLineRepository implements RepositoryInterface
{
    public static function all() {
        return UserBenchmarkLine::all();
    }

    public static function create(array $data) {
        return UserBenchmarkLine::create($data);
    }

    public static function update(array $data, $id) {
        return UserBenchmarkLine::where("id",$id)->update($data);
    }

    public static function delete($id){
        return UserBenchmarkLine::destroy($id);
    }

    public static function find($id){
        return UserBenchmarkLine::findOrFail($id);
    }
}
